# azure.cognitiveservices.search.visualsearch package

## Submodules

- azure.cognitiveservices.search.visualsearch.models module
- azure.cognitiveservices.search.visualsearch.operations module

## Module contents

class `azure.cognitiveservices.search.visualsearch.``VisualSearchClient`(endpoint, credentials)

  Bases: `msrest.service_client.SDKClient`

  Visual Search API lets you discover insights about an image such as visually similar images, shopping sources, and related searches. The API can also perform text recognition, identify entities (people, places, things), return other topical content for the user to explore, and more. For more information, see [Visual Search Overview](https://docs.microsoft.com/azure/cognitive-services/bing-visual-search/overview).

  Variables:

  - config (VisualSearchClientConfiguration) – Configuration for client.
  - images (azure.cognitiveservices.search.visualsearch.operations.ImagesOperations) – Images operations

  Parameters:

  - endpoint (str) – Supported Cognitive Services endpoints (protocol and hostname, for example: “https://westus.api.cognitive.microsoft.com”, “https://api.cognitive.microsoft.com”).
  - credentials (None) – Subscription credentials which uniquely identify client subscription.